/*
* Copyright (c) 2000 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/



/*
The LCharSet object used by the Colice locale.
Generated by COLTAB.
*/

#include <kernel/ls_std.h>
#include <collate.h>

const TUint KUidColiceCollationMethod = 0x100059DD;

static const TUint32 TheColiceKey[] = 
	{
	0x8eb2809,0x8eb2821,0x6d01309,0x6d01321,0x7201309,0x7201321,0x78f1309,0x78f1321,
	0x8051309,0x8051321,0x8bd1309,0x8bd1321,0x8ea0109,0x8ea0121,0x8ea1309,0x8ea1321,
	0x8ea3b09,0x8ea3b21,0x6cf0109,0x6cf0121,0x71f0109,0x71f0121,0x78d0109,0x78d0121,
	0x8050109,0x8050121,0x8bd0109,0x8bd0121,0x1309,
	};

static const TUint32 TheColiceIndex[] = 
	{
	0x410013,0x450015,0x490017,0x4f0019,0x59001b,0x610012,0x650014,0x690016,
	0x6f0018,0x79001a,0xc6000d,0xe6000c,0x1e20011,0x1e30010,0x1fc000f,0x1fd000e,
	0x301001c,
	};

static const TUint16 TheColiceStringElement[] = 
	{
	0x2,0x6f,0x308,0x2,0x4f,0x308,0x2,0x61,
	0x301,0x2,0x41,0x301,0x2,0x65,0x301,0x2,
	0x45,0x301,0x2,0x69,0x301,0x2,0x49,0x301,
	0x2,0x6f,0x301,0x2,0x4f,0x301,0x2,0x79,
	0x301,0x2,0x59,0x301,
	};

static const TUint32 TheColiceStringIndex[] = 
	{
	0x90003,0xf0005,0x150007,0x1b0009,0x30001,0x21000b,0x60002,0xc0004,
	0x120006,0x180008,0x0,0x1e000a,
	};

static const TCollationKeyTable TheColiceTable = 
	{ TheColiceKey, TheColiceIndex, 17, TheColiceStringElement, TheColiceStringIndex, 12 };

static const TCollationMethod TheCollationMethod[] = 
	{
		{
		KUidColiceCollationMethod, // the method for the locale
		NULL, // use the standard table as the main table
		&TheColiceTable, // the locale values override the standard values
		0 // the flags are standard
		},
		{
		KUidBasicCollationMethod, // the standard unlocalised method
		NULL, // null means use the standard table
		NULL, // there's no override table
		0 // the flags are standard
		}
	};

static const TCollationDataSet TheCollationDataSet =
	{
	TheCollationMethod,
	2
	};

// The one and only locale character set object.
const LCharSet TheCharSet =
	{
	NULL,
	&TheCollationDataSet
	};
